 <template>
  <q-layout>
      <head-navigation class="header"></head-navigation>
      <q-page-container class="main-content">
        <router-view />
      </q-page-container>
     <footer-component></footer-component>
  </q-layout>
</template>

<script lang="ts">
import { defineComponent, ref } from '@vue/composition-api'
import HeadNavigation from 'pages/header/head-view.vue'
import FooterComponent from "pages/footer/footer.vue";

export default defineComponent({
  name: 'MainLayout',
  components: {FooterComponent, HeadNavigation },
  setup () {
    const leftDrawerOpen = ref(false)
    return { leftDrawerOpen }
  }
})
</script>
<style>
.header{
  display: flex;
  width: 100%;

}
.main-content{
  display: flex;
  width: 100%;
}
</style>
